---
title: Shield Search
description: This API is used to search if any entity is blacklisted or has criminal records in the BCFI database who is trying to get onboarded with us.
---

This API is used to search if any entity is blacklisted or has criminal records in the BCFI database who is trying to get onboarded with us. To complete the search, we will pass certain details like agent name, state, mobile no, pan no or city.

## POST

```
https://kraken.airpay.co.in/airpay/ms/shield/api/search
```

## Header

| Field | Type | Description |
| --- | --- | --- |
| content-type | String | application/json (required) |
| affiliate | Text | Will be provided by Airpay (required) |
| checksum | Text | $string = $param.self+ $header.code::$secret_key; sha256(<concate all values+SECRET KEY>); (required) |
| code | Text | Will be provided by airpay ( required) |
| processor-key | Text | Will be provided by airpay ( required) |

## Parameter

| Field      | Type | Required | Description                     |
| ---------- | ---- | -------- | ------------------------------- |
| city       | Text | No       | Name of the city (length 3-70)  |
| agent_name | Text | No       | Name of the agent (length 3-70) |
| state      | Text | No       | Name of the state (length 3-70) |
| mobile_no  | Text | No       | Mobile Number (length 10)       |
| pan_no     | Text | No       | PAN card Number (length 10)     |

## Request-Example: 

```
 curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/shield/api/search' \
--header 'code: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'city=Mumbai' \
--data-urlencode 'agent_name=sac'
```

## Success 200

| Field | Type | Description |
| --- | --- | --- |
| status | Numeric | 400- fail,200-success(length 3) |
| message | Text | success, fail |
| data | Text | Json response { "status": status code, "message": response message, "data":[ {"parameter":"array required data"}] } |
## Success-Response:

```
{
    "status": "200",
    "message": "success",
    "data": {
        "current_page": 1,
        "data": [
            {
                "merchant_id": 3,
                "agent_name": "Sachin",
                "pan_no": "CCVSV1111D",
                "name_match_score": "67"
            }
        ],
        "from": 1,
        "last_page": 1,
        "per_page": 5,
        "to": 1,
        "total": 1
    },
    "checksum": "91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps"
}
```
## Error-Response:

```
{
    "status": "400",
    "message": "Failed",
    "data": ""
}
```